curl --request GET \
--url https://cloud.kaneo.app/api/github-integration/project/{projectId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"projectId": "<string>",
"repositoryOwner": "<string>",
"repositoryName": "<string>",
"installationId": 123,
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"branchPattern": "<string>",
"commentTaskLinkOnGitHubIssue": true
}Get GitHub integration for a project
curl --request GET \
--url https://cloud.kaneo.app/api/github-integration/project/{projectId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"projectId": "<string>",
"repositoryOwner": "<string>",
"repositoryName": "<string>",
"installationId": 123,
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"branchPattern": "<string>",
"commentTaskLinkOnGitHubIssue": true
}Bearer token authentication
GitHub integration details
Was this page helpful?